[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TOnUserInputEvent

Specifies an event handler signalled to respond to user input messages in an application.

## Declaration

Source position: forms.pp line 1325

`type TOnUserInputEvent = procedure(`
`Sender: TObject;`
`Msg: Cardinal`
`) of object;`

## Arguments

`Sender` |  | Object for the event notification.
`Msg` |  | Message with the user input for the event.

## Description

TOnUserInputEvent is an object procedure type which defines an event handler signalled to respond to user input messages in an application. It is used as a callback which forwards input messages from widgetset classes to the current application.

TOnUserInputEvent is the type used for the OnUserInput event handler in TApplication and TApplicationProperties.

## See also

TApplication.OnUserInput |  | Event handler signalled to handle user input messages.
TApplicationProperties.OnUserInput |  | Event handler signalled to handle user input messages.
TApplication.AddOnUserInputHandler |  | Adds an application user input handler to the list of handlers for the type.
TApplication.RemoveOnUserInputHandler |  | Removes an application user input handler from the list of handlers for the type.